.\"	$NetBSD: ts.4,v 1.12 2003/08/07 10:31:14 agc Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)ts.4	8.1 (Berkeley) 6/5/93
.\"
.Dd January 7, 1996
.Dt TS 4 vax
.Os
.Sh NAME
.Nm ts
.Nd
.Tn TS-11/TSV-05
mag tape interface
.Sh SYNOPSIS
.Cd "ts0 at uba? csr 0172520"
.Sh DESCRIPTION
The
.Tn TS-11/TSV-05
combination provides a standard tape drive
interface as described in
.Xr mtio 4 .
The
.Tn TS-11
operates only at 1600
.Tn BPI ,
and only one transport
is possible per controller.
.Pp
The
.Tn TS-11
is attached to an
.Tn UNIBUS ,
and the TSV-05 is attached to a
.Tn Q22 bus .
.Sh DIAGNOSTICS
.Bl -diag
.It ts%d: no write ring.
An attempt was made to write on the tape drive
when no write ring was present; this message is written on the terminal of
the user who tried to access the tape.
.Pp
.It ts%d: not online.
An attempt was made to access the tape while it
was offline; this message is written on the terminal of the user
who tried to access the tape.
.Pp
.It ts%d: error at bn%d.
An error occurred on the tape
at block
.Em bn ;
status register and controller state is printed in hex and decimal.
.El
.Sh SEE ALSO
.Xr mt 1 ,
.Xr tar 1 ,
.Xr ht 4 ,
.Xr mt 4 ,
.Xr mtio 4 ,
.Xr tm 4 ,
.Xr ut 4
.Sh HISTORY
The
.Nm
driver appeared in
.Bx 4.1 .
.Pp
A new
.Nm
driver showed up in
.Nx 1.2 .
.Sh BUGS
Lots of them.
